Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 698572 - sci-libs/fftw-3.3.6_p2 USE=cpu_flags_x86_avx2 - In file included from n1fv_2.c:3: .../work/fftw-3.3.6-pl2/simd-support/simd-avx2.h:43:2: error: #error "compiling simd-avx2.h without avx2 support"
Summary: sci-libs/fftw-3.3.6_p2 USE=cpu_flags_x86_avx2 - In file included from n1fv_2....
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-26 07:27 UTC by xdarma
Modified: 2021-02-25 03:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
partial emerge output (file_698572.txt,5.34 KB, text/plain)
2019-10-26 07:27 UTC, xdarma
Details
emerge --info (file_698572.txt,6.71 KB, text/plain)
2019-10-26 07:29 UTC, xdarma
Details
full build.log (fftw-build.log,741.02 KB, text/x-log)
2019-10-26 17:05 UTC, xdarma
Details

Note You need to log in before you can comment on or make changes to this bug.
Description xdarma 2019-10-26 07:27:48 UTC
Created attachment 593988 [details]
partial emerge output

Compile sci-libs/fftw-3.3.6_p2 fails with this error:

/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/simd-support/simd-avx2.h:43:2: error: #error "compiling simd-avx2.h without avx2 support"
 #error "compiling simd-avx2.h without avx2 support"


But flag -march=core-avx2 is not part of my configuration.
Other packages with cpu_flags_x86_avx2 compiles successfully.

# uname -p
AMD Ryzen 7 1700 Eight-Core Processor

# cpuid2cpuflags 
CPU_FLAGS_X86: aes avx avx2 f16c fma3 mmx mmxext pclmul popcnt sha sse sse2 sse3 sse4_1 sse4_2 sse4a ssse3
Comment 1 xdarma 2019-10-26 07:29:18 UTC
Created attachment 593990 [details]
emerge --info
Comment 2 xdarma 2019-10-26 07:33:18 UTC
Sorry, I miss this part of error with -march=core-avx2:

libtool: compile:  x86_64-pc-linux-gnu-gcc -m32 -DHAVE_CONFIG_H -I. -I/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/dft/simd/avx2 -I../../.. -I/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/kernel -I/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/dft -I/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/dft/simd -I/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/work/fftw-3.3.6-pl2/simd-support -march=core-avx2 -mfma -O2 -pipe -march=x86-64 -mfpmath=sse -ftree-vectorize -c n1fv_3.c  -fPIC -DPIC -o .libs/n1fv_3.o
Comment 3 Jeroen Roovers (RETIRED) gentoo-dev 2019-10-26 08:13:19 UTC
Comment on attachment 593988 [details]
partial emerge output

 * If you need support, post the output of `emerge --info '=sci-libs/fftw-3.3.6_p2::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=sci-libs/fftw-3.3.6_p2::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/portage/sci-libs/fftw-3.3.6_p2/temp/build.log'.

Please attach the entire build log to this bug report.
Comment 4 xdarma 2019-10-26 17:05:01 UTC
Created attachment 594054 [details]
full build.log
Comment 5 Michel Boaventura 2020-05-06 17:37:03 UTC
I was having the same problem with 3.3.6 but it seems to be fixed on 3.3.8.
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2020-05-13 08:03:22 UTC
Definitely still happening with 3.3.8-r1.  I suppose we need to add appopriate -m flags if upstream doesn't do it for us.
Comment 7 Larry the Git Cow gentoo-dev 2020-05-13 09:03:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2424a31e9abdafb42ce3f7da50457677d6209eb1

commit 2424a31e9abdafb42ce3f7da50457677d6209eb1
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-05-13 08:18:09 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-05-13 09:02:57 +0000

    sci-libs/fftw: Workaround missing -mavx2 with avx2 flag
    
    Bug: https://bugs.gentoo.org/698572
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 sci-libs/fftw/fftw-3.3.8-r1.ebuild | 4 ++++
 1 file changed, 4 insertions(+)